Bug 795528 - LibreOffice-Calc: Uncompleted erase of the pop-up window of a comment inserted in a cell.
LibreOffice-Calc: Uncompleted erase of the pop-up window of a comment inserte...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Eike Rathke
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-20 14:19 EST by mr
Modified: 2012-11-03 16:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-21 18:12:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshots to show the bug (177.14 KB, application/x-gzip)
2012-02-20 14:19 EST, mr
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 46419 None None None 2012-11-03 16:54:41 EDT

  None (edit)
Description mr 2012-02-20 14:19:47 EST
Created attachment 564509 [details]
Screenshots to show the bug

Description of problem:
The erase of the pop-up window of a comment inserted in a cell does not delete all the borders of the window previously opened on the screen.

Version-Release number of selected component (if applicable):
All versions of the LibreOffice-Calc, I suppose.
I have verified the problem in all the following distribution release:
CentOS5, CentOS6, Fedora12 and Fedora14 with OpenOffice, Fedora16 with LibreOffice.

How reproducible:
Follow the steps below to reproduce the problem.

Steps to Reproduce:
1. Insert a commnet in a cell.
2. Move the cursor of the mouse on the cell to see the inserted comment and then move the cursor over another cell.
3. The auto closing of the pop-up window leave a line on the screen that is part of the previous opened window pop-up. 
  
Actual results:
On the screen remain part of the pop-up comment window.

Expected results:
The complete erase of the pop-up comment window.

Additional info:
The attached .tar.gz file contains three screenshots to depict the problem.
Comment 1 Caolan McNamara 2012-02-21 04:50:08 EST
I can reproduce this anyway. Repeated show/hide makes the droppings larger
Comment 2 Eike Rathke 2012-02-21 18:03:17 EST
But only after first repeat. Also happens only if the comment box is drawn with its default size, not if resized. Apparently some miscalculation of shadow width/height.
Comment 3 Eike Rathke 2012-02-21 18:12:38 EST
Filed upstream as https://bugs.freedesktop.org/show_bug.cgi?id=46419

Note You need to log in before you can comment on or make changes to this bug.